Skip to main content
v1

Move a desktop window.

POST /v1/desktop/windows/{id}/move: request parameters and responses.

POST /v1/desktop/windows/{id}/move

Moves the specified window to the given position.

Parameters

NameInRequiredTypeDescription
idpathYesstringX11 window ID

Parameter schemas

[
  {
    "name": "id",
    "in": "path",
    "description": "X11 window ID",
    "required": true,
    "schema": {
      "type": "string"
    }
  }
]

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopWindowMoveRequest"
  }
}

Related schemas: DesktopWindowMoveRequest.

Responses

200

Window info after move

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopWindowInfo"
  }
}

Related schemas: DesktopWindowInfo.

404

Window not found

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.